package com.gci.boot.modules.msg.enums;

import lombok.Getter;

public enum SenderTypeEnum {
    //  1      2       3         4          5         6        7         8
    //待提交 - 待派单 - 待报价 - 待审核报价 - 待审批报价 - 维修中 - 待确认结果 - 已归档

    YYWB_LEADER("1","com.gci.cdnev.smallprogram.modules.msg.service.MsgUserService","getYYWBLeaderUserIds"),
    YYWB("2","com.gci.cdnev.smallprogram.modules.msg.service.MsgUserService","getYYWBUserIds"),
    REPAIR_SHOP("3","com.gci.cdnev.smallprogram.modules.msg.service.MsgUserService","getRepairShopUserIds"),
    CUSTOMER("4","com.gci.cdnev.smallprogram.modules.msg.service.MsgUserService","getCustomerUserIds");

    @Getter
    private String sendType;
    @Getter
    private String className;
    @Getter
    private String methodName;

    SenderTypeEnum(String sendType, String className, String methodName){
        this.sendType = sendType;
        this.className = className;
        this.methodName = methodName;
    }

    public static SenderTypeEnum getEnumByType(String type){
        for (SenderTypeEnum typeEnum : SenderTypeEnum.values()) {
            if (typeEnum.getSendType().equals(type)) {
                return typeEnum;
            }
        }
        return null;
    }
}
